[paludis-user] Different use flags

Malinka Rellikwodahs aelmalinka at gmail.com
Wed Feb 24 23:12:46 UTC 2010


On Wed, Feb 24, 2010 at 18:06, Russell Harmon <russ at eatnumber1.com> wrote:
>> On Sat, 20 Feb 2010 12:11:43 +0000
>> Eduardo Suarez-Santana <esuarez at itccanarias.org> wrote:

...

>> Build dependencies:
>>       >=media-libs/taglib-1.4
>>         || (
>>             <dev-libs/boost-1.35.0-r5
>>             >=dev-libs/boost-1.35.0-r5[python]
>>         )
>>         dev-python/setuptools
>>         >=app-admin/eselect-python-20091230
>>         virtual/python
>> Run dependencies:
>>         >=media-libs/taglib-1.4
>>         || (
>>             <dev-libs/boost-1.35.0-r5
>>             >=dev-libs/boost-1.35.0-r5[python]
>>         )
>>         >=app-admin/eselect-python-20091230
>>         virtual/python

...

> Isn't that actually an invalid dependency? Wouldn't the proper way of
> supporting that be:
> || ( <dev-libs/boost-1.35.0-r5 >=dev-libs/boost-1.35.0-r5[python] )

Maybe I'm crazy but isn't that exactly how it's dependencies are specified?

or is

|| (
    depa
    depb
)

somehow different from

|| (depa depb)



More information about the paludis-user mailing list